public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-shell-extension-dash-to-panel/
Date: Thu, 11 Nov 2021 10:44:56 +0000 (UTC)	[thread overview]
Message-ID: <1636627468.0a2dcdf7edead5b16f9a9d2faf04fc52baa47f77.pacho@gentoo> (raw)

commit:     0a2dcdf7edead5b16f9a9d2faf04fc52baa47f77
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 11 10:08:39 2021 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Nov 11 10:44:28 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a2dcdf7

gnome-extra/gnome-shell-extension-dash-to-panel: Bump to v44

Last version supporting Gnome 40.x

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 .../gnome-shell-extension-dash-to-panel/Manifest   |  1 +
 .../gnome-shell-extension-dash-to-panel-44.ebuild  | 74 ++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/gnome-extra/gnome-shell-extension-dash-to-panel/Manifest b/gnome-extra/gnome-shell-extension-dash-to-panel/Manifest
index 6fc65f24923..7da1b982de5 100644
--- a/gnome-extra/gnome-shell-extension-dash-to-panel/Manifest
+++ b/gnome-extra/gnome-shell-extension-dash-to-panel/Manifest
@@ -1,2 +1,3 @@
 DIST gnome-shell-extension-dash-to-panel-43.tar.gz 21140181 BLAKE2B cfac79409ae5415bf371b1f45ef1e55bb4d06a8613ef0b0ff481a231edf33ebd44d1dcd9b37dd0bbe78791ea39e66aa914a6741dd5150e9f4eb55ad2b56478eb SHA512 41b2b3553bc75f82c868ee69a411ad3f82f456cde1cfc06792bb602c9fd95e78c9538aecd58752a3500e9aad2e98e17176c2d754da6c77eb3cc453cd0c3b235c
+DIST gnome-shell-extension-dash-to-panel-44.tar.gz 21141085 BLAKE2B b9a143f47c17caf818db3d10efc1fc6c908671b555c2df101d1aaa8e7d6889b2175cff36c4b0ef9e6107eff5d2320690dbec2800ff69e02eb24d7f0d60fbe18d SHA512 fd7b4a9ce77a6c28811999703ab7b21f253745bf2afa843c586290ce99fd0676464865cd812950fa23058f6d346b08d0febcd786106a20dac346a35c820490df
 DIST tango-gentoo-v1.1.tar.gz 29322 BLAKE2B 83fa2bf37727e60851dd679054fe1b153ebfea58c9a9a40f891f7d68d3b047b02e8effa1d1b4e08d64500a2072ce7200f159c92a352da7124de27e1b05bb6027 SHA512 87d47ddab68361db6d99866c51705dcb3e198f8345a1096859acf2c6cca5099dd23c7fb30d124f52c4933ea38fd45fadffbbe6ecbdfa84f5b60938a4824f9045

diff --git a/gnome-extra/gnome-shell-extension-dash-to-panel/gnome-shell-extension-dash-to-panel-44.ebuild b/gnome-extra/gnome-shell-extension-dash-to-panel/gnome-shell-extension-dash-to-panel-44.ebuild
new file mode 100644
index 00000000000..2f3313f3f6d
--- /dev/null
+++ b/gnome-extra/gnome-shell-extension-dash-to-panel/gnome-shell-extension-dash-to-panel-44.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome2-utils
+
+MY_PN="${PN/gnome-shell-extension-/}"
+MY_P="${MY_PN}-${PV}"
+DESCRIPTION="An icon taskbar for the Gnome Shell"
+HOMEPAGE="https://github.com/home-sweet-gnome/dash-to-panel"
+SRC_URI="
+	https://github.com/home-sweet-gnome/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+	branding? ( https://www.mail-archive.com/tango-artists@lists.freedesktop.org/msg00043/tango-gentoo-v1.1.tar.gz )
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="branding"
+
+COMMON_DEPEND="dev-libs/glib:2"
+RDEPEND="${COMMON_DEPEND}
+	app-eselect/eselect-gnome-shell-extensions
+	=gnome-base/gnome-shell-40*
+"
+DEPEND="${COMMON_DEPEND}"
+BDEPEND="
+	dev-util/intltool
+	sys-devel/gettext
+"
+
+S="${WORKDIR}/${MY_P}"
+extension_uuid="dash-to-panel@jderose9.github.com"
+
+src_prepare() {
+	default
+
+	# Set correct version
+	export VERSION="${PV}"
+
+	# Don't install README and COPYING in unwanted locations
+	sed -i -e 's/COPYING//g' -e 's/README.md//g' Makefile || die
+
+	# Provide fancy Gentoo icon when requested
+	use branding && eapply "${FILESDIR}"/${PN}-26-branding.patch
+}
+
+src_install() {
+	default
+	if use branding; then
+		insinto /usr/share/gnome-shell/extensions/dash-to-panel@jderose9.github.com/img
+		doins "${WORKDIR}/tango-gentoo-v1.1/scalable/gentoo.svg"
+	fi
+
+	# Install schemas system-wide
+	dodir /usr/share/glib-2.0/schemas
+	mv "${ED}/usr/share/gnome-shell/extensions/${extension_uuid}"/schemas/ "${ED}/usr/share/glib-2.0" || die
+	rm "${ED}/usr/share/glib-2.0/schemas/gschemas.compiled" || die
+}
+
+pkg_preinst() {
+	gnome2_schemas_savelist
+}
+
+pkg_postinst() {
+	gnome2_schemas_update
+	ebegin "Updating list of installed extensions"
+	eselect gnome-shell-extensions update
+	eend $?
+}
+
+pkg_postrm() {
+	gnome2_schemas_update
+}


             reply	other threads:[~2021-11-11 10:45 UTC|newest]

Thread overview: 86+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-11-11 10:44 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-26 17:32 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-shell-extension-dash-to-panel/ Pacho Ramos
2025-01-26 17:32 Pacho Ramos
2024-12-02 13:00 Pacho Ramos
2024-12-02 13:00 Pacho Ramos
2024-12-02 13:00 Pacho Ramos
2024-07-12  9:05 Pacho Ramos
2024-03-02 23:30 Sam James
2024-02-18  6:08 Arthur Zamarin
2024-01-28 12:00 Pacho Ramos
2024-01-08 17:27 Sam James
2023-09-29 11:31 Pacho Ramos
2023-09-29 11:31 Pacho Ramos
2023-07-20  8:19 Pacho Ramos
2023-05-05 10:24 Pacho Ramos
2023-04-18 14:17 Pacho Ramos
2023-04-09 18:12 Pacho Ramos
2023-04-09 18:12 Pacho Ramos
2023-03-16 12:18 Pacho Ramos
2023-03-07 12:30 Pacho Ramos
2023-02-24 14:48 Pacho Ramos
2022-10-02  9:55 Pacho Ramos
2022-09-18  8:33 Pacho Ramos
2022-05-31 18:52 Matt Turner
2022-05-29 10:48 Pacho Ramos
2022-05-28  1:27 Sam James
2022-05-28  1:20 Sam James
2022-05-04 15:49 Pacho Ramos
2022-04-20 17:29 Pacho Ramos
2022-04-10  7:39 Pacho Ramos
2022-03-09 21:36 Pacho Ramos
2022-03-08  9:35 Sam James
2022-01-02 12:12 Georgy Yakovlev
2021-12-18 12:41 Pacho Ramos
2021-11-11 10:44 Pacho Ramos
2021-07-08 12:34 Pacho Ramos
2021-06-29 19:10 Pacho Ramos
2021-06-16  9:21 Pacho Ramos
2021-05-30 20:52 Pacho Ramos
2021-05-30 20:40 Pacho Ramos
2021-05-20 12:37 Pacho Ramos
2021-05-20 12:37 Pacho Ramos
2021-05-08  9:27 Pacho Ramos
2021-03-14 14:46 Pacho Ramos
2021-01-23 22:38 Pacho Ramos
2020-12-01 22:15 Pacho Ramos
2020-12-01 22:15 Pacho Ramos
2020-10-18 17:48 Pacho Ramos
2020-08-30 20:20 Pacho Ramos
2020-08-30 20:20 Pacho Ramos
2020-08-21 11:07 Pacho Ramos
2020-07-15  8:22 Pacho Ramos
2020-07-15  8:22 Pacho Ramos
2020-05-31 12:42 Pacho Ramos
2020-05-31 12:42 Pacho Ramos
2020-04-29 15:49 Pacho Ramos
2020-04-29 15:49 Pacho Ramos
2020-04-26 15:34 Pacho Ramos
2020-04-26 15:34 Pacho Ramos
2020-04-22 21:00 Pacho Ramos
2020-04-22 21:00 Pacho Ramos
2020-04-04 17:49 Pacho Ramos
2020-04-04 17:49 Pacho Ramos
2020-04-03  8:09 Pacho Ramos
2020-04-03  8:09 Pacho Ramos
2020-04-02 19:03 Pacho Ramos
2020-03-21 15:54 Pacho Ramos
2020-03-21 15:54 Pacho Ramos
2020-03-18 21:09 Pacho Ramos
2020-03-11 16:18 Pacho Ramos
2019-12-15 13:18 Pacho Ramos
2019-12-15 13:18 Pacho Ramos
2019-11-15 20:11 Pacho Ramos
2019-11-10 12:36 Pacho Ramos
2019-10-20 10:14 Pacho Ramos
2019-10-20 10:14 Pacho Ramos
2019-09-04 20:21 Pacho Ramos
2019-09-04 20:21 Pacho Ramos
2019-08-19 10:55 Pacho Ramos
2019-08-19 10:55 Pacho Ramos
2019-08-15 17:54 Pacho Ramos
2019-07-31  7:48 Pacho Ramos
2019-04-25 16:35 Pacho Ramos
2019-04-20 17:59 Pacho Ramos
2019-03-24 17:35 Pacho Ramos
2019-03-24 16:44 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1636627468.0a2dcdf7edead5b16f9a9d2faf04fc52baa47f77.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox